Ansible Plugin - Galaxy install requirements with SSH

I’m trying to setup an Ansible pipeline and I have several roles defined in my galaxy requirements. However when I try to run the pipeline, the following error occurs:

[WARNING]: - dotfiles was NOT installed successfully: - command /usr/bin/git
clone ssh://[email protected]:222/ansible/ansible_role_dotfiles.git
dotfiles failed in directory /root/.ansible/tmp/ansible-local-
14ViW84q/tmpdzolH_ (rc=128)

My config is the follow:

- name: check ansible syntax
    image: plugins/ansible:1
    settings:
      playbook: playbooks/
      galaxy: requirements.yml
      inventory: host.yml
      syntax_check: true
      vault_password:
        from_secret: ansible_vault_password
      private_key:
        from_secret: ansible_private_key

So my question is how can I make either use a ssh key to use ssh or use sed to manipulate the src and change my ssh to:

git clone https://{USER}:{TOKEN}@gitea.domain.org/test/test.git

using the secrets available in the drone?

As a last resort, should I just use a python or ubuntu image to get it working?